diff mbox

[libdrm,2/2] autogen.sh: run git commands in the (potentially) git dir

Message ID 20170203182110.22915-2-eric.engestrom@imgtec.com (mailing list archive)
State New, archived
Headers show

Commit Message

Eric Engestrom Feb. 3, 2017, 6:21 p.m. UTC
If the build dir is outside of the git dir, the order matters :)

Signed-off-by: Eric Engestrom <eric.engestrom@imgtec.com>
---
 autogen.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Comments

Emil Velikov Feb. 3, 2017, 7:07 p.m. UTC | #1
On 3 February 2017 at 18:21, Eric Engestrom <eric.engestrom@imgtec.com> wrote:
> If the build dir is outside of the git dir, the order matters :)
>
> Signed-off-by: Eric Engestrom <eric.engestrom@imgtec.com>
> ---
Wondering if you've got hit by this or you noticed my identical patch
on xorg-devel ;-)

Either way, for both
Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

-Emi
Eric Engestrom Feb. 4, 2017, 12:02 a.m. UTC | #2
On Friday, 2017-02-03 19:07:08 +0000, Emil Velikov wrote:
> On 3 February 2017 at 18:21, Eric Engestrom <eric.engestrom@imgtec.com> wrote:
> > If the build dir is outside of the git dir, the order matters :)
> >
> > Signed-off-by: Eric Engestrom <eric.engestrom@imgtec.com>
> > ---
> Wondering if you've got hit by this or you noticed my identical patch
> on xorg-devel ;-)

Both, actually: I noticed the unnecessary output I fixed in the first
patch, and while in there I saw that the git commands were in the wrong
place (probably because I remembered your patches).

> 
> Either way, for both
> Reviewed-by: Emil Velikov <emil.velikov@collabora.com>
> 
> -Emi

Thanks; I don't have commit access on this repo, can you push them for me?

Cheers,
  Eric
diff mbox

Patch

diff --git a/autogen.sh b/autogen.sh
index d0030969..13d6991e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,15 +6,15 @@  test -z "$srcdir" && srcdir=.
 ORIGDIR=`pwd`
 cd "$srcdir"
 
-autoreconf --force --verbose --install || exit 1
-cd "$ORIGDIR" || exit $?
-
 git config --local --get format.subjectPrefix >/dev/null ||
     git config --local format.subjectPrefix "PATCH libdrm" 2>/dev/null
 
 git config --local --get sendemail.to >/dev/null ||
     git config --local sendemail.to "dri-devel@lists.freedesktop.org" 2>/dev/null
 
+autoreconf --force --verbose --install || exit 1
+cd "$ORIGDIR" || exit $?
+
 if test -z "$NOCONFIGURE"; then
     "$srcdir"/configure "$@"
 fi